summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:23:09 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:23:09 +0200
commit7e516099b9f663c50418bd6c7af23e9cd96324dc (patch)
tree2196715c2babd3e2bbe3487177cc55f774fd999b /games
parent84da3bbbdbe554359ba3e03467915e2764054f7e (diff)
downloadslackbuilds-7e516099b9f663c50418bd6c7af23e9cd96324dc.tar.gz
slackbuilds-7e516099b9f663c50418bd6c7af23e9cd96324dc.tar.xz
games/wesnoth: Updated for version 1.4.5
Diffstat (limited to 'games')
-rw-r--r--games/wesnoth/README6
-rw-r--r--games/wesnoth/doinst.sh5
-rw-r--r--games/wesnoth/wesnoth.SlackBuild60
-rw-r--r--games/wesnoth/wesnoth.info8
4 files changed, 50 insertions, 29 deletions
diff --git a/games/wesnoth/README b/games/wesnoth/README
index 4895387ea9..dffef9a5c8 100644
--- a/games/wesnoth/README
+++ b/games/wesnoth/README
@@ -5,9 +5,6 @@ fighters from races such as elves, dwarves, orcs, trolls, and more.
It is a turn-based strategy game on a hexgrid with several challenging
single-player campaigns and different kind of multi-player matches.
-Please note that Wesnoth now need boost to compile. A SlackBuild script for
-boost is available at SlackBuilds.org
-
If you want to compile the wesnothd server, you might want to add
the following switches to the wesnoth.Slackbuild script:
--enable-server
@@ -16,3 +13,6 @@ the following switches to the wesnoth.Slackbuild script:
--with-server-gid=group
and replace 'user' and 'group' with the UID and GID under which you want
the server to run.
+
+Please note that Wesnoth now need boost to compile. A SlackBuild script for
+boost is available at SlackBuilds.org
diff --git a/games/wesnoth/doinst.sh b/games/wesnoth/doinst.sh
index bc1301dad0..2f4077c014 100644
--- a/games/wesnoth/doinst.sh
+++ b/games/wesnoth/doinst.sh
@@ -1,3 +1,4 @@
-if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database -q usr/share/applications > /dev/null 2>&1
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications > /dev/null 2>&1
fi
+
diff --git a/games/wesnoth/wesnoth.SlackBuild b/games/wesnoth/wesnoth.SlackBuild
index afb0c91bf5..b42ea7ae56 100644
--- a/games/wesnoth/wesnoth.SlackBuild
+++ b/games/wesnoth/wesnoth.SlackBuild
@@ -1,12 +1,31 @@
#!/bin/sh
# SlackBuilid script for "Battle of Wesnoth".
-# Written by: Michiel van Wessem (BP{k}) <michiel@slackbuilds.org>
-# Modified by the SlackBuilds.org project
+# Copyright 2007-2008 Michiel van Wessem, Manchester, United Kingdom
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
NAME=wesnoth
-VERSION=1.4
+VERSION=${VERSION:-1.4.5}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -16,21 +35,22 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$NAME
OUTPUT=${OUTPUT:-/tmp}
-# The documentation we want to include
-DOCFILES="ABOUT-NLS COPYING INSTALL MANUAL* README changelog copyright"
-
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
rm -rf $TMP/$NAME-$VERSION
-cd $TMP || exit 1
-tar xvf $CWD/$NAME-$VERSION.tar.bz2 || exit 1
-cd $NAME-$VERSION || exit 1
+cd $TMP
+tar xvf $CWD/$NAME-$VERSION.tar.bz2
+cd $NAME-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -40,7 +60,8 @@ find . \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
- ./configure --prefix=/usr \
+./configure \
+ --prefix=/usr \
--localstatedir=/var \
--sysconfdir=/etc \
--docdir=/usr/doc/$NAME-$VERSION \
@@ -48,23 +69,22 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-python \
--enable-editor \
--enable-tools \
- --disable-debug \
--with-kde \
--with-gnome \
- --program-prefix="" \
- --program-suffix="" \
- || exit 1
+ --disable-debug \
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make
+make install-strip DESTDIR=$PKG
-( cd $PKG/usr/man
+( cd $PKG/usr/man || exit 1
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$NAME-$VERSION
-cp -a $DOCFILES $PKG/usr/doc/$NAME-$VERSION
+cp -a ABOUT-NLS COPYING INSTALL README changelog copyright \
+ $PKG/usr/doc/$NAME-$VERSION
cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
mkdir $PKG/install
diff --git a/games/wesnoth/wesnoth.info b/games/wesnoth/wesnoth.info
index 2cdae1c998..5d56db73e8 100644
--- a/games/wesnoth/wesnoth.info
+++ b/games/wesnoth/wesnoth.info
@@ -1,8 +1,8 @@
PRGNAM="wesnoth"
-VERSION="1.4"
+VERSION="1.4.5"
HOMEPAGE="http://www.wesnoth.org"
-DOWNLOAD="http://downloads.sourceforge.net/wesnoth/wesnoth-1.4.tar.bz2"
-MD5SUM="a2e8e4b32292f16842453e4c836429b2"
+DOWNLOAD="http://downloads.sourceforge.net/wesnoth/wesnoth-1.4.5.tar.bz2"
+MD5SUM="09b7b76d4a4eedf502f38df9d551d827"
MAINTAINER="Michiel van Wessem"
EMAIL="michiel@slackbuilds.org"
-APPROVED="David Somero"
+APPROVED="rworkman"